diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-writing.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-writing.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/options-writing.php	2012-11-05 15:38:48.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/options-writing.php	2013-04-25 01:08:29.000000000 -0500
***************
*** 79,101 ****
  </td>
  </tr>
  <?php
! if ( current_theme_supports( 'post-formats' ) ) :
! 	$post_formats = get_theme_support( 'post-formats' );
! 	if ( is_array( $post_formats[0] ) ) :
  ?>
  <tr valign="top">
  <th scope="row"><label for="default_post_format"><?php _e('Default Post Format') ?></label></th>
  <td>
  	<select name="default_post_format" id="default_post_format">
! 		<option value="0"><?php _e('Standard'); ?></option>
! <?php foreach ( $post_formats[0] as $format ): ?>
! 		<option<?php selected( get_option('default_post_format'), $format ); ?> value="<?php echo esc_attr( $format ); ?>"><?php echo esc_html( get_post_format_string( $format ) ); ?></option>
  <?php endforeach; ?>
  	</select>
  </td>
  </tr>
! <?php endif; endif;
! 
  if ( get_option( 'link_manager_enabled' ) ) :
  ?>
  <tr valign="top">
--- 79,99 ----
  </td>
  </tr>
  <?php
! $post_formats = get_post_format_strings();
! unset( $post_formats['standard'] );
  ?>
  <tr valign="top">
  <th scope="row"><label for="default_post_format"><?php _e('Default Post Format') ?></label></th>
  <td>
  	<select name="default_post_format" id="default_post_format">
! 		<option value="0"><?php echo get_post_format_string( 'standard' ); ?></option>
! <?php foreach ( $post_formats as $format_slug => $format_name ): ?>
! 		<option<?php selected( get_option( 'default_post_format' ), $format_slug ); ?> value="<?php echo esc_attr( $format_slug ); ?>"><?php echo esc_html( $format_name ); ?></option>
  <?php endforeach; ?>
  	</select>
  </td>
  </tr>
! <?php
  if ( get_option( 'link_manager_enabled' ) ) :
  ?>
  <tr valign="top">
***************
*** 118,131 ****
  <p><?php _e('Press This is a bookmarklet: a little app that runs in your browser and lets you grab bits of the web.');?></p>
  <p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  <p><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! <p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1||window.navigator.userAgent.indexOf('MSIE')!=-1)jQuery('.pressthis-code').show().find('textarea').focus().select();return false;" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  <div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
  </div>
  
  <?php if ( apply_filters( 'enable_post_by_email_configuration', true ) ) { ?>
! <h3><?php _e('Post via e-mail') ?></h3>
  <p><?php printf(__('To post to WordPress by e-mail you must set up a secret e-mail account with POP3 access. Any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret. Here are three random strings you could use: <kbd>%s</kbd>, <kbd>%s</kbd>, <kbd>%s</kbd>.'), wp_generate_password(8, false), wp_generate_password(8, false), wp_generate_password(8, false)) ?></p>
  
  <table class="form-table">
--- 116,129 ----
  <p><?php _e('Press This is a bookmarklet: a little app that runs in your browser and lets you grab bits of the web.');?></p>
  <p><?php _e('Use Press This to clip text, images and videos from any web page. Then edit and add more straight from Press This before you save or publish it in a post on your site.'); ?></p>
  <p><?php _e('Drag-and-drop the following link to your bookmarks bar or right click it and add it to your favorites for a posting shortcut.') ?></p>
! <p class="pressthis"><a onclick="return false;" oncontextmenu="if(window.navigator.userAgent.indexOf('WebKit')!=-1||window.navigator.userAgent.indexOf('MSIE')!=-1){jQuery('.pressthis-code').show().find('textarea').focus().select();return false;}" href="<?php echo htmlspecialchars( get_shortcut_link() ); ?>"><span><?php _e('Press This') ?></span></a></p>
  <div class="pressthis-code" style="display:none;">
  	<p class="description"><?php _e('If your bookmarks toolbar is hidden: copy the code below, open your Bookmarks manager, create new bookmark, type Press This into the name field and paste the code into the URL field.') ?></p>
  	<p><textarea rows="5" cols="120" readonly="readonly"><?php echo htmlspecialchars( get_shortcut_link() ); ?></textarea></p>
  </div>
  
  <?php if ( apply_filters( 'enable_post_by_email_configuration', true ) ) { ?>
! <h3 class="title"><?php _e('Post via e-mail') ?></h3>
  <p><?php printf(__('To post to WordPress by e-mail you must set up a secret e-mail account with POP3 access. Any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret. Here are three random strings you could use: <kbd>%s</kbd>, <kbd>%s</kbd>, <kbd>%s</kbd>.'), wp_generate_password(8, false), wp_generate_password(8, false), wp_generate_password(8, false)) ?></p>
  
  <table class="form-table">
***************
*** 159,165 ****
  <?php } ?>
  
  <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
! <h3><?php _e('Update Services') ?></h3>
  
  <?php if ( 1 == get_option('blog_public') ) : ?>
  
--- 157,163 ----
  <?php } ?>
  
  <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
! <h3 class="title"><?php _e('Update Services') ?></h3>
  
  <?php if ( 1 == get_option('blog_public') ) : ?>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugin-editor.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugin-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugin-editor.php	2012-07-27 11:49:48.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugin-editor.php	2013-03-01 12:59:54.000000000 -0600
***************
*** 20,36 ****
  $title = __("Edit Plugins");
  $parent_file = 'plugins.php';
  
! wp_reset_vars(array('action', 'redirect', 'profile', 'error', 'warning', 'a', 'file', 'plugin'));
  
  $plugins = get_plugins();
  
  if ( empty($plugins) )
  	wp_die( __('There are no plugins installed on this site.') );
  
! if ( isset($_REQUEST['file']) )
! 	$plugin = stripslashes($_REQUEST['file']);
! 
! if ( empty($plugin) ) {
  	$plugin = array_keys($plugins);
  	$plugin = $plugin[0];
  }
--- 20,35 ----
  $title = __("Edit Plugins");
  $parent_file = 'plugins.php';
  
! wp_reset_vars( array( 'action', 'error', 'file', 'plugin' ) );
  
  $plugins = get_plugins();
  
  if ( empty($plugins) )
  	wp_die( __('There are no plugins installed on this site.') );
  
! if ( $file ) {
! 	$plugin = $file;
! } elseif ( empty( $plugin ) ) {
  	$plugin = array_keys($plugins);
  	$plugin = $plugin[0];
  }
***************
*** 39,46 ****
  
  if ( empty($file) )
  	$file = $plugin_files[0];
- else
- 	$file = stripslashes($file);
  
  $file = validate_file_to_edit($file, $plugin_files);
  $real_file = WP_PLUGIN_DIR . '/' . $file;
--- 38,43 ----
***************
*** 52,58 ****
  
  	check_admin_referer('edit-plugin_' . $file);
  
! 	$newcontent = stripslashes($_POST['newcontent']);
  	if ( is_writeable($real_file) ) {
  		$f = fopen($real_file, 'w+');
  		fwrite($f, $newcontent);
--- 49,55 ----
  
  	check_admin_referer('edit-plugin_' . $file);
  
! 	$newcontent = wp_unslash( $_POST['newcontent'] );
  	if ( is_writeable($real_file) ) {
  		$f = fopen($real_file, 'w+');
  		fwrite($f, $newcontent);
***************
*** 117,123 ****
  	'content'	=>
  		'<p>' . __('You can use the editor to make changes to any of your plugins&#8217; individual PHP files. Be aware that if you make changes, plugins updates will overwrite your customizations.') . '</p>' .
  		'<p>' . __('Choose a plugin to edit from the menu in the upper right and click the Select button. Click once on any file name to load it in the editor, and make your changes. Don&#8217;t forget to save your changes (Update File) when you&#8217;re finished.') . '</p>' .
! 		'<p>' . __('The Documentation menu below the editor lists the PHP functions recognized in the plugin file. Clicking Lookup takes you to a web page about that particular function.') . '</p>' .
  		'<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>' .
  		'<p>' . __('If you want to make changes but don&#8217;t want them to be overwritten when the plugin is updated, you may be ready to think about writing your own plugin. For information on how to edit plugins, write your own from scratch, or just better understand their anatomy, check out the links below.') . '</p>' .
  		( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
--- 114,120 ----
  	'content'	=>
  		'<p>' . __('You can use the editor to make changes to any of your plugins&#8217; individual PHP files. Be aware that if you make changes, plugins updates will overwrite your customizations.') . '</p>' .
  		'<p>' . __('Choose a plugin to edit from the menu in the upper right and click the Select button. Click once on any file name to load it in the editor, and make your changes. Don&#8217;t forget to save your changes (Update File) when you&#8217;re finished.') . '</p>' .
! 		'<p>' . __('The Documentation menu below the editor lists the PHP functions recognized in the plugin file. Clicking Look Up takes you to a web page about that particular function.') . '</p>' .
  		'<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>' .
  		'<p>' . __('If you want to make changes but don&#8217;t want them to be overwritten when the plugin is updated, you may be ready to think about writing your own plugin. For information on how to edit plugins, write your own from scratch, or just better understand their anatomy, check out the links below.') . '</p>' .
  		( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
***************
*** 234,240 ****
  		<input type="hidden" name="scrollto" id="scrollto" value="<?php echo $scrollto; ?>" />
  		</div>
  		<?php if ( !empty( $docs_select ) ) : ?>
! 		<div id="documentation" class="hide-if-no-js"><label for="docs-list"><?php _e('Documentation:') ?></label> <?php echo $docs_select ?> <input type="button" class="button" value="<?php esc_attr_e( 'Lookup' ) ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'http://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" /></div>
  		<?php endif; ?>
  <?php if ( is_writeable($real_file) ) : ?>
  	<?php if ( in_array( $file, (array) get_option( 'active_plugins', array() ) ) ) { ?>
--- 231,237 ----
  		<input type="hidden" name="scrollto" id="scrollto" value="<?php echo $scrollto; ?>" />
  		</div>
  		<?php if ( !empty( $docs_select ) ) : ?>
! 		<div id="documentation" class="hide-if-no-js"><label for="docs-list"><?php _e('Documentation:') ?></label> <?php echo $docs_select ?> <input type="button" class="button" value="<?php esc_attr_e( 'Look Up' ) ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'http://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" /></div>
  		<?php endif; ?>
  <?php if ( is_writeable($real_file) ) : ?>
  	<?php if ( in_array( $file, (array) get_option( 'active_plugins', array() ) ) ) { ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugin-install.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugin-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugin-install.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugin-install.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 39,45 ****
  'id'		=> 'overview',
  'title'		=> __('Overview'),
  'content'	=>
! 	'<p>' . sprintf(__('Plugins hook into WordPress to extend its functionality with custom features. Plugins are developed independently from the core WordPress application by thousands of developers all over the world. All plugins in the official <a href="%s" target="_blank">WordPress.org Plugin Directory</a> are compatible with the license WordPress uses. You can find new plugins to install by searching or browsing the Directory right here in your own Plugins section.'), 'http://wordpress.org/extend/plugins/') . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'adding-plugins',
--- 39,45 ----
  'id'		=> 'overview',
  'title'		=> __('Overview'),
  'content'	=>
! 	'<p>' . sprintf(__('Plugins hook into WordPress to extend its functionality with custom features. Plugins are developed independently from the core WordPress application by thousands of developers all over the world. All plugins in the official <a href="%s" target="_blank">WordPress.org Plugin Directory</a> are compatible with the license WordPress uses. You can find new plugins to install by searching or browsing the Directory right here in your own Plugins section.'), 'http://wordpress.org/plugins/') . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'adding-plugins',
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugins.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugins.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/plugins.php	2012-11-27 10:08:35.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/plugins.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 340,346 ****
  'title'		=> __('Overview'),
  'content'	=>
  	'<p>' . __('Plugins extend and expand the functionality of WordPress. Once a plugin is installed, you may activate it or deactivate it here.') . '</p>' .
! 	'<p>' . sprintf(__('You can find additional plugins for your site by using the <a href="%1$s">Plugin Browser/Installer</a> functionality or by browsing the <a href="%2$s" target="_blank">WordPress Plugin Directory</a> directly and installing new plugins manually. To manually install a plugin you generally just need to upload the plugin file into your <code>/wp-content/plugins</code> directory. Once a plugin has been installed, you can activate it here.'), 'plugin-install.php', 'http://wordpress.org/extend/plugins/') . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'compatibility-problems',
--- 340,346 ----
  'title'		=> __('Overview'),
  'content'	=>
  	'<p>' . __('Plugins extend and expand the functionality of WordPress. Once a plugin is installed, you may activate it or deactivate it here.') . '</p>' .
! 	'<p>' . sprintf(__('You can find additional plugins for your site by using the <a href="%1$s">Plugin Browser/Installer</a> functionality or by browsing the <a href="%2$s" target="_blank">WordPress Plugin Directory</a> directly and installing new plugins manually. To manually install a plugin you generally just need to upload the plugin file into your <code>/wp-content/plugins</code> directory. Once a plugin has been installed, you can activate it here.'), 'plugin-install.php', 'http://wordpress.org/plugins/') . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'compatibility-problems',
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/post-new.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/post-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/post-new.php	2012-11-26 20:02:32.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/post-new.php	2013-07-02 20:50:39.000000000 -0500
***************
*** 48,53 ****
--- 48,64 ----
  
  wp_enqueue_script( 'autosave' );
  
+ if ( is_multisite() ) {
+ 	add_action( 'admin_footer', '_admin_notice_post_locked' );
+ } else {
+ 	$check_users = get_users( array( 'fields' => 'ID', 'number' => 2 ) );
+ 
+ 	if ( count( $check_users ) > 1 )
+ 		add_action( 'admin_footer', '_admin_notice_post_locked' );
+ 
+ 	unset( $check_users );
+ }
+ 
  // Show post form.
  $post = get_default_post_to_edit( $post_type, true );
  $post_ID = $post->ID;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/post.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/post.php	2012-11-20 13:46:38.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/post.php	2013-07-08 15:05:42.000000000 -0500
***************
*** 14,20 ****
  $parent_file = 'edit.php';
  $submenu_file = 'edit.php';
  
! wp_reset_vars(array('action', 'safe_mode', 'withcomments', 'posts', 'content', 'edited_post_title', 'comment_error', 'profile', 'trackback_url', 'excerpt', 'showcomments', 'commentstart', 'commentend', 'commentorder'));
  
  if ( isset( $_GET['post'] ) )
   	$post_id = $post_ID = (int) $_GET['post'];
--- 14,20 ----
  $parent_file = 'edit.php';
  $submenu_file = 'edit.php';
  
! wp_reset_vars( array( 'action' ) );
  
  if ( isset( $_GET['post'] ) )
   	$post_id = $post_ID = (int) $_GET['post'];
***************
*** 133,151 ****
  		exit();
  	}
  
! 	$p = $post_id;
  
! 	if ( empty($post->ID) )
! 		wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?') );
  
! 	if ( null == $post_type_object )
! 		wp_die( __('Unknown post type.') );
! 
! 	if ( !current_user_can($post_type_object->cap->edit_post, $post_id) )
! 		wp_die( __('You are not allowed to edit this item.') );
  
  	if ( 'trash' == $post->post_status )
! 		wp_die( __('You can&#8217;t edit this item because it is in the Trash. Please restore it and try again.') );
  
  	$post_type = $post->post_type;
  	if ( 'post' == $post_type ) {
--- 133,155 ----
  		exit();
  	}
  
! 	if ( ! $post )
! 		wp_die( __( 'You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?' ) );
  
! 	if ( ! $post_type_object )
! 		wp_die( __( 'Unknown post type.' ) );
  
! 	if ( ! current_user_can( 'edit_post', $post_id ) )
! 		wp_die( __( 'You are not allowed to edit this item.' ) );
  
  	if ( 'trash' == $post->post_status )
! 		wp_die( __( 'You can&#8217;t edit this item because it is in the Trash. Please restore it and try again.' ) );
! 
! 	if ( ! empty( $_GET['get-post-lock'] ) ) {
! 		wp_set_post_lock( $post_id );
! 		wp_redirect( get_edit_post_link( $post_id, 'url' ) );
! 		exit();
! 	}
  
  	$post_type = $post->post_type;
  	if ( 'post' == $post_type ) {
***************
*** 165,179 ****
  		$post_new_file = "post-new.php?post_type=$post_type";
  	}
  
! 	if ( $last = wp_check_post_lock( $post->ID ) ) {
! 		add_action('admin_notices', '_admin_notice_post_locked' );
! 	} else {
  		$active_post_lock = wp_set_post_lock( $post->ID );
  
  		if ( 'attachment' !== $post_type )
  			wp_enqueue_script('autosave');
  	}
  
  	$title = $post_type_object->labels->edit_item;
  	$post = get_post($post_id, OBJECT, 'edit');
  
--- 169,192 ----
  		$post_new_file = "post-new.php?post_type=$post_type";
  	}
  
! 	if ( ! wp_check_post_lock( $post->ID ) ) {
  		$active_post_lock = wp_set_post_lock( $post->ID );
  
  		if ( 'attachment' !== $post_type )
  			wp_enqueue_script('autosave');
  	}
  
+ 	if ( is_multisite() ) {
+ 		add_action( 'admin_footer', '_admin_notice_post_locked' );
+ 	} else {
+ 		$check_users = get_users( array( 'fields' => 'ID', 'number' => 2 ) );
+ 
+ 		if ( count( $check_users ) > 1 )
+ 			add_action( 'admin_footer', '_admin_notice_post_locked' );
+ 
+ 		unset( $check_users );
+ 	}
+ 
  	$title = $post_type_object->labels->edit_item;
  	$post = get_post($post_id, OBJECT, 'edit');
  
***************
*** 204,209 ****
--- 217,226 ----
  
  	$post_id = edit_post();
  
+ 	// Session cookie flag that the post was saved
+ 	if ( isset( $_COOKIE['wp-saving-post-' . $post_id] ) )
+ 		setcookie( 'wp-saving-post-' . $post_id, 'saved' );
+ 
  	redirect_post($post_id); // Send user on their way while we keep working
  
  	exit();
***************
*** 212,224 ****
  case 'trash':
  	check_admin_referer('trash-post_' . $post_id);
  
! 	$post = get_post($post_id);
  
! 	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
! 		wp_die( __('You are not allowed to move this item to the Trash.') );
  
! 	if ( ! wp_trash_post($post_id) )
! 		wp_die( __('Error in moving to Trash.') );
  
  	wp_redirect( add_query_arg( array('trashed' => 1, 'ids' => $post_id), $sendback ) );
  	exit();
--- 229,250 ----
  case 'trash':
  	check_admin_referer('trash-post_' . $post_id);
  
! 	if ( ! $post )
! 		wp_die( __( 'The item you are trying to move to the Trash no longer exists.' ) );
! 
! 	if ( ! $post_type_object )
! 		wp_die( __( 'Unknown post type.' ) );
  
! 	if ( ! current_user_can( 'delete_post', $post_id ) )
! 		wp_die( __( 'You are not allowed to move this item to the Trash.' ) );
! 
! 	if ( $user_id = wp_check_post_lock( $post_id ) ) {
! 		$user = get_userdata( $user_id );
! 		wp_die( sprintf( __( 'You cannot move this item to the Trash. %s is currently editing.' ), $user->display_name ) );
! 	}
  
! 	if ( ! wp_trash_post( $post_id ) )
! 		wp_die( __( 'Error in moving to Trash.' ) );
  
  	wp_redirect( add_query_arg( array('trashed' => 1, 'ids' => $post_id), $sendback ) );
  	exit();
***************
*** 227,237 ****
  case 'untrash':
  	check_admin_referer('untrash-post_' . $post_id);
  
! 	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
! 		wp_die( __('You are not allowed to move this item out of the Trash.') );
  
! 	if ( ! wp_untrash_post($post_id) )
! 		wp_die( __('Error in restoring from Trash.') );
  
  	wp_redirect( add_query_arg('untrashed', 1, $sendback) );
  	exit();
--- 253,269 ----
  case 'untrash':
  	check_admin_referer('untrash-post_' . $post_id);
  
! 	if ( ! $post )
! 		wp_die( __( 'The item you are trying to restore from the Trash no longer exists.' ) );
  
! 	if ( ! $post_type_object )
! 		wp_die( __( 'Unknown post type.' ) );
! 
! 	if ( ! current_user_can( 'delete_post', $post_id ) )
! 		wp_die( __( 'You are not allowed to move this item out of the Trash.' ) );
! 
! 	if ( ! wp_untrash_post( $post_id ) )
! 		wp_die( __( 'Error in restoring from Trash.' ) );
  
  	wp_redirect( add_query_arg('untrashed', 1, $sendback) );
  	exit();
***************
*** 240,256 ****
  case 'delete':
  	check_admin_referer('delete-post_' . $post_id);
  
! 	if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
! 		wp_die( __('You are not allowed to delete this item.') );
  
! 	$force = !EMPTY_TRASH_DAYS;
  	if ( $post->post_type == 'attachment' ) {
! 		$force = ( $force || !MEDIA_TRASH );
! 		if ( ! wp_delete_attachment($post_id, $force) )
! 			wp_die( __('Error in deleting.') );
  	} else {
! 		if ( !wp_delete_post($post_id, $force) )
! 			wp_die( __('Error in deleting.') );
  	}
  
  	wp_redirect( add_query_arg('deleted', 1, $sendback) );
--- 272,294 ----
  case 'delete':
  	check_admin_referer('delete-post_' . $post_id);
  
! 	if ( ! $post )
! 		wp_die( __( 'This item has already been deleted.' ) );
! 
! 	if ( ! $post_type_object )
! 		wp_die( __( 'Unknown post type.' ) );
! 
! 	if ( ! current_user_can( 'delete_post', $post_id ) )
! 		wp_die( __( 'You are not allowed to delete this item.' ) );
  
! 	$force = ! EMPTY_TRASH_DAYS;
  	if ( $post->post_type == 'attachment' ) {
! 		$force = ( $force || ! MEDIA_TRASH );
! 		if ( ! wp_delete_attachment( $post_id, $force ) )
! 			wp_die( __( 'Error in deleting.' ) );
  	} else {
! 		if ( ! wp_delete_post( $post_id, $force ) )
! 			wp_die( __( 'Error in deleting.' ) );
  	}
  
  	wp_redirect( add_query_arg('deleted', 1, $sendback) );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/press-this.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/press-this.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/press-this.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/press-this.php	2013-06-27 01:56:45.000000000 -0500
***************
*** 91,101 ****
  }
  
  // Set Variables
! $title = isset( $_GET['t'] ) ? trim( strip_tags( html_entity_decode( stripslashes( $_GET['t'] ) , ENT_QUOTES) ) ) : '';
  
  $selection = '';
  if ( !empty($_GET['s']) ) {
! 	$selection = str_replace('&apos;', "'", stripslashes($_GET['s']));
  	$selection = trim( htmlspecialchars( html_entity_decode($selection, ENT_QUOTES) ) );
  }
  
--- 91,101 ----
  }
  
  // Set Variables
! $title = isset( $_GET['t'] ) ? trim( strip_tags( html_entity_decode( wp_unslash( $_GET['t'] ) , ENT_QUOTES) ) ) : '';
  
  $selection = '';
  if ( !empty($_GET['s']) ) {
! 	$selection = str_replace('&apos;', "'", wp_unslash($_GET['s']));
  	$selection = trim( htmlspecialchars( html_entity_decode($selection, ENT_QUOTES) ) );
  }
  
***************
*** 303,309 ****
  <script type="text/javascript">
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
- var userSettings = {'url':'<?php echo SITECOOKIEPATH; ?>','uid':'<?php if ( ! isset($current_user) ) $current_user = wp_get_current_user(); echo $current_user->ID; ?>','time':'<?php echo time() ?>'};
  var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>', pagenow = 'press-this', isRtl = <?php echo (int) is_rtl(); ?>;
  var photostorage = false;
  //]]>
--- 303,308 ----
***************
*** 477,483 ****
  					<p>
  						<label for="post_format"><?php _e( 'Post Format:' ); ?>
  						<select name="post_format" id="post_format">
! 							<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
  						<?php foreach ( $post_formats[0] as $format ): ?>
  							<option<?php selected( $default_format, $format ); ?> value="<?php echo esc_attr( $format ); ?>"> <?php echo esc_html( get_post_format_string( $format ) ); ?></option>
  						<?php endforeach; ?>
--- 476,482 ----
  					<p>
  						<label for="post_format"><?php _e( 'Post Format:' ); ?>
  						<select name="post_format" id="post_format">
! 							<option value="0"><?php echo get_post_format_string( 'standard' ); ?></option>
  						<?php foreach ( $post_formats[0] as $format ): ?>
  							<option<?php selected( $default_format, $format ); ?> value="<?php echo esc_attr( $format ); ?>"> <?php echo esc_html( get_post_format_string( $format ) ); ?></option>
  						<?php endforeach; ?>
***************
*** 586,592 ****
  			</div>
  		</div>
  
! 		<div id="waiting" style="display: none"><span class="spinner"></span> <span><?php esc_html_e( 'Loading...' ); ?></span></div>
  
  		<div id="extra-fields" style="display: none"></div>
  
--- 585,591 ----
  			</div>
  		</div>
  
! 		<div id="waiting" style="display: none"><span class="spinner"></span> <span><?php esc_html_e( 'Loading&hellip;' ); ?></span></div>
  
  		<div id="extra-fields" style="display: none"></div>
  
